<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (13) on Fri May 08 00:07:05 EEST 2020 -->
<title>Restaurant</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-08">
<meta name="description" content="declaration: package: bussiness, class: Restaurant">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.js"></script>
</head>
<body class="class-declaration">
<script type="text/javascript">var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Restaurant.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">bussiness</a></div>
<h1 title="Class Restaurant" class="title">Class Restaurant</h1>
</div>
<div class="contentContainer">
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">java.util.Observable
<div class="inheritance">bussiness.Restaurant</div>
</div>
</div>
<section class="description">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="IRestaurantProcessing.html" title="interface in bussiness">IRestaurantProcessing</a></code>, <code>java.io.Serializable</code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">Restaurant</span>
extends java.util.Observable
implements <a href="IRestaurantProcessing.html" title="interface in bussiness">IRestaurantProcessing</a>, java.io.Serializable</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../serialized-form.html#bussiness.Restaurant">Serialized Form</a></dd>
</dl>
</section>
<section class="summary">
<ul class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<li class="blockList">
<section class="fieldSummary"><a id="field.summary">
<!--   -->
</a>
<h2>Field Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="MenuItem.html" title="class in bussiness">MenuItem</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#compositeItem">compositeItem</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#compositeName">compositeName</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.util.Map&lt;<a href="Order.html" title="class in bussiness">Order</a>,&#8203;java.util.Collection&lt;<a href="MenuItem.html" title="class in bussiness">MenuItem</a>&gt;&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#mapOrderMenu">mapOrderMenu</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="MenuItem.html" title="class in bussiness">MenuItem</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#menu">menu</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="Order.html" title="class in bussiness">Order</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#orderList">orderList</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li class="blockList">
<section class="constructorSummary"><a id="constructor.summary">
<!--   -->
</a>
<h2>Constructor Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">Restaurant</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li class="blockList">
<section class="methodSummary"><a id="method.summary">
<!--   -->
</a>
<h2>Method Summary</h2>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addOrderToList(bussiness.Order)">addOrderToList</a></span>&#8203;(<a href="Order.html" title="class in bussiness">Order</a>&nbsp;order)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createNewMenuItem(bussiness.MenuItem)">createNewMenuItem</a></span>&#8203;(<a href="MenuItem.html" title="class in bussiness">MenuItem</a>&nbsp;item)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createOrder(bussiness.Order,java.util.ArrayList)">createOrder</a></span>&#8203;(<a href="Order.html" title="class in bussiness">Order</a>&nbsp;order,
java.util.ArrayList&lt;<a href="MenuItem.html" title="class in bussiness">MenuItem</a>&gt;&nbsp;item)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#deleteMenuItem(bussiness.MenuItem)">deleteMenuItem</a></span>&#8203;(<a href="MenuItem.html" title="class in bussiness">MenuItem</a>&nbsp;item)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#editMenuItem(bussiness.MenuItem)">editMenuItem</a></span>&#8203;(<a href="MenuItem.html" title="class in bussiness">MenuItem</a>&nbsp;item)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="MenuItem.html" title="class in bussiness">MenuItem</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCompItem()">getCompItem</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCompositeName()">getCompositeName</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="MenuItem.html" title="class in bussiness">MenuItem</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getMenu()">getMenu</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i8">
<td class="colFirst"><code>java.util.Map&lt;<a href="Order.html" title="class in bussiness">Order</a>,&#8203;java.util.Collection&lt;<a href="MenuItem.html" title="class in bussiness">MenuItem</a>&gt;&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getOrderMap()">getOrderMap</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i9">
<td class="colFirst"><code>float</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#orderPrice(bussiness.Order)">orderPrice</a></span>&#8203;(<a href="Order.html" title="class in bussiness">Order</a>&nbsp;order)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i10">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setCompositeItem(java.util.ArrayList)">setCompositeItem</a></span>&#8203;(java.util.ArrayList&lt;<a href="MenuItem.html" title="class in bussiness">MenuItem</a>&gt;&nbsp;comp)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i11">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setCompositeName(java.lang.String)">setCompositeName</a></span>&#8203;(java.lang.String&nbsp;name)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i12">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setMenu(java.util.ArrayList)">setMenu</a></span>&#8203;(java.util.ArrayList&lt;<a href="MenuItem.html" title="class in bussiness">MenuItem</a>&gt;&nbsp;myMenu)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.util.Observable</h3>
<a id="methods.inherited.from.class.java.util.Observable">
<!--   -->
</a><code>addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged</code></div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a><code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<li class="blockList">
<section class="fieldDetails"><a id="field.detail">
<!--   -->
</a>
<h2>Field Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="menu">menu</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">java.util.ArrayList&lt;<a href="MenuItem.html" title="class in bussiness">MenuItem</a>&gt;</span>&nbsp;<span class="memberName">menu</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="compositeItem">compositeItem</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">java.util.ArrayList&lt;<a href="MenuItem.html" title="class in bussiness">MenuItem</a>&gt;</span>&nbsp;<span class="memberName">compositeItem</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="compositeName">compositeName</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">java.lang.String</span>&nbsp;<span class="memberName">compositeName</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="mapOrderMenu">mapOrderMenu</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">java.util.Map&lt;<a href="Order.html" title="class in bussiness">Order</a>,&#8203;java.util.Collection&lt;<a href="MenuItem.html" title="class in bussiness">MenuItem</a>&gt;&gt;</span>&nbsp;<span class="memberName">mapOrderMenu</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="orderList">orderList</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">java.util.ArrayList&lt;<a href="Order.html" title="class in bussiness">Order</a>&gt;</span>&nbsp;<span class="memberName">orderList</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li class="blockList">
<section class="constructorDetails"><a id="constructor.detail">
<!--   -->
</a>
<h2>Constructor Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="&lt;init&gt;()">Restaurant</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="memberName">Restaurant</span>()</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li class="blockList">
<section class="methodDetails"><a id="method.detail">
<!--   -->
</a>
<h2>Method Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="getMenu()">getMenu</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.util.ArrayList&lt;<a href="MenuItem.html" title="class in bussiness">MenuItem</a>&gt;</span>&nbsp;<span class="memberName">getMenu</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setMenu(java.util.ArrayList)">setMenu</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setMenu</span>&#8203;(<span class="arguments">java.util.ArrayList&lt;<a href="MenuItem.html" title="class in bussiness">MenuItem</a>&gt;&nbsp;myMenu)</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setCompositeItem(java.util.ArrayList)">setCompositeItem</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setCompositeItem</span>&#8203;(<span class="arguments">java.util.ArrayList&lt;<a href="MenuItem.html" title="class in bussiness">MenuItem</a>&gt;&nbsp;comp)</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setCompositeName(java.lang.String)">setCompositeName</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setCompositeName</span>&#8203;(<span class="arguments">java.lang.String&nbsp;name)</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getCompItem()">getCompItem</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.util.ArrayList&lt;<a href="MenuItem.html" title="class in bussiness">MenuItem</a>&gt;</span>&nbsp;<span class="memberName">getCompItem</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getCompositeName()">getCompositeName</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.lang.String</span>&nbsp;<span class="memberName">getCompositeName</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getOrderMap()">getOrderMap</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.util.Map&lt;<a href="Order.html" title="class in bussiness">Order</a>,&#8203;java.util.Collection&lt;<a href="MenuItem.html" title="class in bussiness">MenuItem</a>&gt;&gt;</span>&nbsp;<span class="memberName">getOrderMap</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="addOrderToList(bussiness.Order)">addOrderToList</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">addOrderToList</span>&#8203;(<span class="arguments"><a href="Order.html" title="class in bussiness">Order</a>&nbsp;order)</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="createNewMenuItem(bussiness.MenuItem)">createNewMenuItem</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">createNewMenuItem</span>&#8203;(<span class="arguments"><a href="MenuItem.html" title="class in bussiness">MenuItem</a>&nbsp;item)</span></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="IRestaurantProcessing.html#createNewMenuItem(bussiness.MenuItem)">createNewMenuItem</a></code>&nbsp;in interface&nbsp;<code><a href="IRestaurantProcessing.html" title="interface in bussiness">IRestaurantProcessing</a></code></dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="deleteMenuItem(bussiness.MenuItem)">deleteMenuItem</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">deleteMenuItem</span>&#8203;(<span class="arguments"><a href="MenuItem.html" title="class in bussiness">MenuItem</a>&nbsp;item)</span></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="IRestaurantProcessing.html#deleteMenuItem(bussiness.MenuItem)">deleteMenuItem</a></code>&nbsp;in interface&nbsp;<code><a href="IRestaurantProcessing.html" title="interface in bussiness">IRestaurantProcessing</a></code></dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="editMenuItem(bussiness.MenuItem)">editMenuItem</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">editMenuItem</span>&#8203;(<span class="arguments"><a href="MenuItem.html" title="class in bussiness">MenuItem</a>&nbsp;item)</span></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="IRestaurantProcessing.html#editMenuItem(bussiness.MenuItem)">editMenuItem</a></code>&nbsp;in interface&nbsp;<code><a href="IRestaurantProcessing.html" title="interface in bussiness">IRestaurantProcessing</a></code></dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="createOrder(bussiness.Order,java.util.ArrayList)">createOrder</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">createOrder</span>&#8203;(<span class="arguments"><a href="Order.html" title="class in bussiness">Order</a>&nbsp;order,
java.util.ArrayList&lt;<a href="MenuItem.html" title="class in bussiness">MenuItem</a>&gt;&nbsp;item)</span></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="IRestaurantProcessing.html#createOrder(bussiness.Order,java.util.ArrayList)">createOrder</a></code>&nbsp;in interface&nbsp;<code><a href="IRestaurantProcessing.html" title="interface in bussiness">IRestaurantProcessing</a></code></dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="orderPrice(bussiness.Order)">orderPrice</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">float</span>&nbsp;<span class="memberName">orderPrice</span>&#8203;(<span class="arguments"><a href="Order.html" title="class in bussiness">Order</a>&nbsp;order)</span></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="IRestaurantProcessing.html#orderPrice(bussiness.Order)">orderPrice</a></code>&nbsp;in interface&nbsp;<code><a href="IRestaurantProcessing.html" title="interface in bussiness">IRestaurantProcessing</a></code></dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Restaurant.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
